Index: typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/htmlarea.js	(copie de travail)
@@ -81,6 +81,7 @@
 HTMLArea.is_ie = (HTMLArea.agt.indexOf("msie") != -1) && !HTMLArea.is_opera;
 HTMLArea.is_safari = (HTMLArea.agt.indexOf("webkit") != -1);
 HTMLArea.is_gecko  = (navigator.product == "Gecko") || HTMLArea.is_opera;
+HTMLArea.is_ff2 = (HTMLArea.agt.indexOf("firefox/2") != -1);
 HTMLArea.is_chrome = HTMLArea.is_safari && (HTMLArea.agt.indexOf("chrome") != -1);
 // Check on MacOS Wamcom version 1.3 but exclude Firefox rv 1.8.1.3
 HTMLArea.is_wamcom = (HTMLArea.agt.indexOf("wamcom") != -1) || (HTMLArea.is_gecko && HTMLArea.agt.indexOf("1.3") != -1 && HTMLArea.agt.indexOf(".1.3") == -1);
@@ -305,6 +306,10 @@
 		// URL-s
 	this.imgURL = "images/";
 	this.popupURL = "popups/";
+		// DocumentType
+	this.documentType = '<!DOCTYPE html\r'
+			+ '    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"\r'
+			+ '    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\r';
 
 	this.btnList = {
 		InsertHorizontalRule:	["Horizontal Rule", "ed_hr.gif",false, function(editor) {editor.execCommand("InsertHorizontalRule");}],
@@ -413,6 +418,10 @@
 	return true;
 };
 
+HTMLArea.Config.prototype.getDocumentType = function () {
+	return this.documentType;
+};
+
 /***************************************************
  *  EDITOR FRAMEWORK
  ***************************************************/
@@ -838,13 +847,12 @@
 
 		// create and append the IFRAME
 	var iframe = document.createElement("iframe");
-	if (HTMLArea.is_ie || HTMLArea.is_safari || HTMLArea.is_wamcom) {
-		iframe.setAttribute("src",_editor_url + "popups/blank.html");
-	} else if (HTMLArea.is_opera) {
-		iframe.setAttribute("src",_typo3_host_url + _editor_url + "popups/blank.html");
+	if (HTMLArea.is_gecko && !HTMLArea.is_safari && !HTMLArea.is_opera) {
+		iframe.setAttribute("src", "javascript:void(0);");
 	} else {
-		iframe.setAttribute("src","javascript:void(0);");
+		iframe.setAttribute("src", (HTMLArea.is_opera?_typo3_host_url:"") + _editor_url + "popups/blank.html");
 	}
+	//iframe.setAttribute("src", (HTMLArea.is_opera ? _typo3_host_url : "") + _editor_url + "popups/blank.html");
 	iframe.className = "editorIframe";
 	if (!this.config.statusBar) iframe.className += " noStatusBar";
 	htmlarea.appendChild(iframe);
@@ -1007,7 +1015,12 @@
 	}
 	var doc = this._iframe.contentWindow ? this._iframe.contentWindow.document : this._iframe.contentDocument;
 	this._doc = doc;
-
+		// Set Doc Type in Firefox (doctype is readonly in DOM 2)
+	if (HTMLArea.is_gecko && !HTMLArea.is_safari && !HTMLArea.is_opera) {
+		this._doc.open();
+		this._doc.write(this.config.getDocumentType());
+		this._doc.close();
+	}
 	if (!this.config.fullPage) {
 		var head = doc.getElementsByTagName("head")[0];
 		if (!head) {
@@ -3078,10 +3091,14 @@
 			}
 				// Window dimensions as per call or button registration
 			var dialogueWindowDimensions = {
-				width:	((dimensions && dimensions.width) ? dimensions.width : this.editorConfiguration.btnList[buttonId][8].width),
-				height:	((dimensions && dimensions.height) ? dimensions.height :this.editorConfiguration.btnList[buttonId][8].height),
-				top:	((dimensions && dimensions.top) ? dimensions.top : this.editorConfiguration.btnList[buttonId][8].top),
-				left:	((dimensions && dimensions.left) ? dimensions.left :this.editorConfiguration.btnList[buttonId][8].left)
+				width:	((dimensions && dimensions.width) ? dimensions.width :
+						(this.editorConfiguration.btnList[buttonId] ? this.editorConfiguration.btnList[buttonId][8].width : 250)),
+				height:	((dimensions && dimensions.height) ? dimensions.height :
+						(this.editorConfiguration.btnList[buttonId] ? this.editorConfiguration.btnList[buttonId][8].height : 250)),
+				top:	((dimensions && dimensions.top) ? dimensions.top :
+						(this.editorConfiguration.btnList[buttonId] ? this.editorConfiguration.btnList[buttonId][8].top : this.editorConfiguration.dialogueWindows.defaultPositionFromTop)),
+				left:	((dimensions && dimensions.left) ? dimensions.left :
+						(this.editorConfiguration.btnList[buttonId] ? this.editorConfiguration.btnList[buttonId][8].left : this.editorConfiguration.dialogueWindows.defaultPositionFromLeft))
 			};
 				// Overrride window dimensions as per PageTSConfig
 			var buttonConfiguration = this.editorConfiguration.buttons[this.editorConfiguration.convertButtonId[buttonId]];
@@ -3120,7 +3137,7 @@
 	 * @return	string		the url
 	 */
 	makeUrlFromPopupName : function(popupName) {
-		return this.editor.popupURL("plugin://" + this.name + "/" + popupName);
+		return (popupName ? this.editor.popupURL("plugin://" + this.name + "/" + popupName) : this.editor.popupURL("blank.html"));
 	},
 
 	/**
@@ -3213,20 +3230,16 @@
 		this.document = this.dialogWindow.document;
 		this.editor = this.plugin.editor;
 
+		this.document.open();
+		var html = this.plugin.editorConfiguration.getDocumentType()
+			+ '<html><head></head><body></body></html>\n';
+		this.document.write(html);
+		this.document.close();
+			// IE needs the stylesheets to be loaded before we create the form
 		if (HTMLArea.is_ie) {
-			this.document.open();
-			var html = "<html><head></head><body></body></html>\n";
-			this.document.write(html);
-			this.document.close();
 			this.loadStyle();
 		}
-		var html = this.document.documentElement;
-		html.className = "popupwin";
 		var head = this.document.getElementsByTagName("head")[0];
-		if (!head) {
-			var head = this.document.createElement("head");
-			html.appendChild(head);
-		}
 		var title = this.document.getElementsByTagName("title")[0];
 		if (!title) {
 			var title = this.document.createElement("title");
@@ -3234,9 +3247,6 @@
 		}
 		this.document.title = this.arguments.title;
 		var body = this.document.body;
-		if (!body) {
-			var body = this.document.createElement("body");
-		}
 		body.className = "popupwin dialog";
 		body.id = "--HA-body";
 		var content = this.document.createElement("div");
@@ -3244,22 +3254,24 @@
 		content.id = "content";
 		this.content = content;
 		body.appendChild(content);
-		if (HTMLArea.is_gecko) {
-			html.appendChild(body);
-		}
 			// Create the form
 			// Localize, resize and initiate capture of events
-			// Catch errors for IE loosing control in case the window is closed while being initialized
 		if (HTMLArea.is_ie) {
+				// Catch errors for IE loosing control in case the window is closed while being initialized
 			try {
 				this.arguments.initialize(this);
-				this.initialize(false, false, HTMLArea.is_ie);
+				this.initialize(false, false, "noStyle");
 				this.focus();
 			} catch(e) { }
 		} else {
 			this.arguments.initialize(this);
-			this.initialize(false, false, HTMLArea.is_ie);
+				// Firefox needs a delay defore we resize
+			this.initialize(false, (HTMLArea.is_gecko && !HTMLArea.is_safari && !HTMLArea.is_opera));
 			this.focus();
+			if (HTMLArea.is_gecko && !HTMLArea.is_safari && !HTMLArea.is_opera) {
+				var self = this;
+				setTimeout( function() { self.resize(); }, 100);
+			}
 		}
 	},
 
@@ -3428,7 +3440,7 @@
 						}
 					}
 					self.centerOnParent();
-				}, 25);
+				}, 75);
 			} else if (!noResize) {
 				var body = doc.body;
 				if (HTMLArea.is_ie) {
@@ -3472,19 +3484,22 @@
 
 		var contentWidth = content.offsetWidth;
 		var contentHeight = content.offsetHeight;
-		dialogWindow.resizeTo( contentWidth + 200, contentHeight + 200 );
-
-		if (dialogWindow.innerWidth) {
-			width = dialogWindow.innerWidth;
-			height = dialogWindow.innerHeight;
-		} else if (docElement && docElement.clientWidth) {
-			width = docElement.clientWidth;
-			height = docElement.clientHeight;
-		} else if (body && body.clientWidth) {
-			width = body.clientWidth;
-			height = body.clientHeight;
+		if (HTMLArea.is_gecko && !HTMLArea.is_opera) {
+			dialogWindow.resizeTo(contentWidth, contentHeight + (HTMLArea.is_safari ? 40 : (HTMLArea.is_ff2 ? 75 : 95)));
+		} else {
+			dialogWindow.resizeTo(contentWidth + 200, contentHeight + 200);
+			if (dialogWindow.innerWidth) {
+				width = dialogWindow.innerWidth;
+				height = dialogWindow.innerHeight;
+			} else if (docElement && docElement.clientWidth) {
+				width = docElement.clientWidth;
+				height = docElement.clientHeight;
+			} else if (body && body.clientWidth) {
+				width = body.clientWidth;
+				height = body.clientHeight;
+			}
+			dialogWindow.resizeTo(contentWidth + ((contentWidth + 200 ) - width), contentHeight + ((contentHeight + 200) - (height - 16)));
 		}
-		dialogWindow.resizeTo( contentWidth + ( ( contentWidth + 200 ) - width ), contentHeight + ( (contentHeight + 200 ) - (height - 16) ) );
 	},
 
 	/**
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultColor/default-color.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultColor/default-color.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultColor/default-color.js	(copie de travail)
@@ -1,7 +1,7 @@
 /***************************************************************
 *  Copyright notice
 *
-*  (c) 2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -50,10 +50,10 @@
 		var pluginInformation = {
 			version		: "1.0",
 			developer	: "Stanislas Rolland",
-			developerUrl	: "http://www.fructifor.ca/",
+			developerUrl	: "http://www.sjbr.ca/",
 			copyrightOwner	: "Stanislas Rolland",
-			sponsor		: "Fructifor Inc.",
-			sponsorUrl	: "http://www.fructifor.ca/",
+			sponsor		: "SJBR",
+			sponsorUrl	: "http://www.sjbr.ca/",
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
@@ -108,10 +108,10 @@
 					this.commandId = "BackColor";
 				}
 			case "ForeColor"	:
-				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("select_color"), "setColor", HTMLArea._colorToRgb(this.editor._doc.queryCommandValue(this.commandId)), {width:200, height:182});
+				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("select_color"), "setColor", HTMLArea._colorToRgb(this.editor._doc.queryCommandValue(this.commandId)), {width:300, height:210});
 				break;
 			default:
-				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("select_color"), "returnToCaller", HTMLArea._colorToRgb("000000"), {width:200, height:182});
+				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("select_color"), "returnToCaller", HTMLArea._colorToRgb("000000"), {width:300, height:210});
 				break;
 		}
 		return false;
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultImage/default-image.js	(copie de travail)
@@ -1,7 +1,7 @@
 /***************************************************************
 *  Copyright notice
 *
-*  (c) 2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -63,10 +63,10 @@
 		var pluginInformation = {
 			version		: "1.0",
 			developer	: "Stanislas Rolland",
-			developerUrl	: "http://www.fructifor.ca/",
+			developerUrl	: "http://www.ajbr.ca/",
 			copyrightOwner	: "Stanislas Rolland",
-			sponsor		: "Fructifor Inc.",
-			sponsorUrl	: "http://www.fructifor.ca/",
+			sponsor		: "SJBR",
+			sponsorUrl	: "http://www.sjbr.ca/",
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
@@ -129,7 +129,7 @@
 		}
 		this.image = image;
 		
-		this.dialog = this.openDialog("InsertImage", this.makeUrlFromPopupName("insert_image"), "insertImage", outparam, {width:580, height:495});
+		this.dialog = this.openDialog("InsertImage", this.makeUrlFromPopupName("insert_image"), "insertImage", outparam, {width:600, height:610});
 		return false;
 	},
 	
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DefaultLink/default-link.js	(copie de travail)
@@ -1,7 +1,7 @@
 /***************************************************************
 *  Copyright notice
 *
-*  (c) 2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -53,10 +53,10 @@
 		var pluginInformation = {
 			version		: "1.0",
 			developer	: "Stanislas Rolland",
-			developerUrl	: "http://www.fructifor.ca/",
+			developerUrl	: "http://www.sjbr.ca/",
 			copyrightOwner	: "Stanislas Rolland",
-			sponsor		: "Fructifor Inc.",
-			sponsorUrl	: "http://www.fructifor.ca/",
+			sponsor		: "SJBR",
+			sponsorUrl	: "http://www.sjbr.ca/",
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
@@ -125,7 +125,7 @@
 		}
 		
 		this.link = link;
-		this.dialog = this.openDialog("CreateLink", this.makeUrlFromPopupName("link"), "createLink", paramameters, {width:450, height:145});
+		this.dialog = this.openDialog("CreateLink", this.makeUrlFromPopupName("link"), "createLink", paramameters, {width:570, height:150});
 		return false;
 	},
 	
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(copie de travail)
@@ -51,7 +51,7 @@
 			developer	: "Cau Guanabara & Stanislas Rolland",
 			developerUrl	: "mailto:caugb@ibest.com.br",
 			copyrightOwner	: "Cau Guanabara & Stanislas Rolland",
-			sponsor		: "Independent production & Fructifor Inc.",
+			sponsor		: "Independent production & SJBR",
 			sponsorUrl	: "http://www.netflash.com.br/gb/HA3-rc1/examples/find-replace.html",
 			license		: "GPL"
 		};
@@ -69,7 +69,7 @@
 		};
 		this.registerButton(buttonConfiguration);
 
-		this.popupWidth = 420;
+		this.popupWidth = 400;
 		this.popupHeight = 360;
 
 		return true;
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/insert-smiley.js	(copie de travail)
@@ -93,7 +93,7 @@
 			param.editor_url = document.URL;
 			param.editor_url = param.editor_url.replace(/^(.*\/).*\/.*$/g, "$1");
 		}
-		this.dialog = this.openDialog("InsertSmiley", this.makeUrlFromPopupName("insertsmiley"), "insertImageTag", param, {width:250, height:220});
+		this.dialog = this.openDialog("InsertSmiley", this.makeUrlFromPopupName("insertsmiley"), "insertImageTag", param, {width:250, height:230});
 	},
 
 	/*
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/QuickTag/quick-tag.js	(copie de travail)
@@ -56,7 +56,7 @@
 			developer	: "Cau Guanabara & Stanislas Rolland",
 			developerUrl	: "mailto:caugb@ibest.com.br",
 			copyrightOwner	: "Cau Guanabara & Stanislas Rolland",
-			sponsor		: "Independent production & Fructifor Inc.",
+			sponsor		: "Independent production & SJBR",
 			sponsorUrl	: "http://www.netflash.com.br/gb/HA3-rc1/examples/quick-tag.html",
 			license		: "GPL"
 		};
@@ -88,7 +88,7 @@
 	 * @return	boolean		false if action is completed
 	 */
 	onButtonPress : function(editor, id, target) {
-		this.dialog = this.openDialog("InsertTag", this.makeUrlFromPopupName("quicktag"), "setTag", null, {width:450, height:108});
+		this.dialog = this.openDialog("InsertTag", this.makeUrlFromPopupName("quicktag"), "setTag", null, {width:470, height:115});
 	},
 
 	/*
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-check-ui.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-check-ui.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-check-ui.js	(copie de travail)
@@ -2,7 +2,7 @@
 *  Copyright notice
 *
 *  (c) 2003 dynarch.com. Authored by Mihai Bazon, sponsored by www.americanbible.org.
-*  (c) 2004-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2004-2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -32,6 +32,7 @@
  *
  * TYPO3 SVN ID: $Id$
  */
+var dialog = window.opener.HTMLArea.Dialog.SpellChecker;
 var frame = null;
 var currentElement = null;
 var wrongWords = null;
@@ -311,7 +312,7 @@
 		document.getElementById("v_replacement").value = this.innerHTML;
 	}
 	select.style.display = "none";
-	select.style.display = "block";
+	select.style.display = "inline";
 	return false;
 };
 
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(copie de travail)
@@ -58,8 +58,8 @@
 			developer	: "Mihai Bazon & Stanislas Rolland",
 			developerUrl	: "http://dynarch.com/mishoo/",
 			copyrightOwner	: "Mihai Bazon & Stanislas Rolland",
-			sponsor		: "American Bible Society & Fructifor Inc.",
-			sponsorUrl	: "http://www.fructifor.ca/",
+			sponsor		: "American Bible Society & SJBR",
+			sponsorUrl	: "http://www.sjbr.ca/",
 			license		: "GPL"
 		};
 		this.registerPluginInformation(pluginInformation);
@@ -94,7 +94,7 @@
 		switch (buttonId) {
 			case "SpellCheck":
 				var charset = (this.contentCharset.toLowerCase() == 'iso-8859-1') ? "-iso-8859-1" : "";
-				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("spell-check-ui" + charset), null, null, {width:670, height:600});
+				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("spell-check-ui" + charset), null, null, {width:710, height:600});
 				break;
 		}
 		return false;
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(copie de travail)
@@ -170,7 +170,7 @@
 		};
 		var dimensions = {
 			width	: 860,
-			height	: insert ? 600 : 610
+			height	: 620
 		};
 		this.dialog = this.openDialog((insert ? "InsertTable" : "TO-table-prop"), "", "tablePropertiesUpdate", arguments, dimensions);
 	},
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js	(révision 4241)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TYPO3Color/typo3color.js	(copie de travail)
@@ -52,7 +52,7 @@
 			developer	: "Stanislas Rolland",
 			developerUrl	: "http://www.sjbr.ca/",
 			copyrightOwner	: "Stanislas Rolland",
-			sponsor		: "Stanislas Rolland",
+			sponsor		: "SJBR",
 			sponsorUrl	: "http://www.sjbr.ca/",
 			license		: "GPL"
 		};
@@ -112,7 +112,7 @@
 	
 	dialogSelectColor : function (buttonId, element, field, dialogOpener) {
 		var dimensions = {
-			width	: 490,
+			width	: 500,
 			height	: 245
 		};
 		var arguments = {
@@ -297,17 +297,17 @@
 		var szColorId = "";
 		
 		sz = '<div class="title">' + title + '</div>';
-		sz += '<form id="HA-color-select-form"><table style="width:100%"><tr><td id="HA-layout"><fieldset>';
+		sz += '<form id="HA-color-select-form"><fieldset>';
 		sz += '<input type="hidden" name="' + sID + '" id="' + sID + '" value="' + initialValue + '" />';
-		sz += '<table style="width:100%;"><tr><td style="vertical-align: middle;"><span style="margin-left: 5px; height: 1em;" class="dialog buttonColor" ';
+		sz += '<div class="buttonColor" ';
 		sz += '		onMouseover="className += \' buttonColor-hilite\';" ';
 		sz += '		onMouseout="className = \'buttonColor\';">';
 		sz += '	<span id="' + szID + '" class="chooser">&nbsp;</span>';
 		sz += '	<span id="colorUnset" class="nocolor" title="' + "no_color" + '" ';
 		sz += '		onMouseover="className += \' nocolor-hilite\';" ';
 		sz += '		onMouseout="className = \'nocolor\';"';
-		sz += '	>&#x00d7;</span></span></td><td>';
-		sz += '<table class="colorTable" cellspacing="0" cellpadding="0" id="colorTable">';
+		sz += '	>&#x00d7;</span></div>';
+		sz += '<div class="colorTableWrapper"><table class="colorTable" cellspacing="0" cellpadding="0" id="colorTable">';
 		var onMouseOut = ' onMouseout="document.getElementById(\'' + szID + '\').style.backgroundColor=\'\'; document.getElementById(\'' + sID + '\').value=\'\';"';
 		var onMouseOver = ' onMouseover="if(' + HTMLArea.is_ie + '){ if (event.srcElement.bgColor) { document.getElementById(\'' + szID + '\').style.backgroundColor = event.srcElement.bgColor; document.getElementById(\'' + sID + '\').value = event.srcElement.bgColor;} } else { if (event.target.bgColor) { document.getElementById(\'' + szID + '\').style.backgroundColor=event.target.bgColor; document.getElementById(\'' + sID + '\').value=event.target.bgColor;} };" ';
 			// Making colorPicker
@@ -341,8 +341,8 @@
 			}
 		}
 		
-		sz += '</table></td></tr></table>';
-		sz += '</fieldset></td></tr><tr><td id="HA-style"></td></tr></table></form>';
+		sz += '</table></div>';
+		sz += '</fieldset></form>';
 		return sz;
 	}
 });
Index: typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php	(révision 4241)
+++ typo3/sysext/rtehtmlarea/mod2/class.tx_rtehtmlarea_acronym_mod.php	(copie de travail)
@@ -251,16 +251,20 @@
 	</fieldset>
 	<fieldset id="selector">
 		<legend>' . $LANG->getLL('Defined_term',1) . '</legend>
-		<label for="termSelector" class="fl" id="termSelectorLabel" title="' . $LANG->getLL('Select_a_term',1) . '">' . $LANG->getLL('Unabridged_term',1) . '</label>
-		<select id="termSelector" name="termSelector"  title="' . $LANG->getLL('Select_a_term',1) . '"
-			onChange="document.content.acronymSelector.selectedIndex=document.content.termSelector.selectedIndex; document.content.title.value=document.content.termSelector.options[document.content.termSelector.selectedIndex].value;">
-			<option value=""></option>
-		</select>
-		<label for="acronymSelector" id="acronymSelectorLabel" title="' . $LANG->getLL('Select_an_acronym',1) . '">' . $LANG->getLL('Abridged_term',1) . '</label>
-		<select id="acronymSelector" name="acronymSelector"  title="' . $LANG->getLL('Select_an_acronym',1) . '"
-			onChange="document.content.termSelector.selectedIndex=document.content.acronymSelector.selectedIndex; document.content.title.value=document.content.termSelector.options[document.content.termSelector.selectedIndex].value;">
-			<option value=""></option>
-		</select>
+		<div>
+			<label class="fl" for="termSelector" id="termSelectorLabel" title="' . $LANG->getLL('Select_a_term',1) . '">' . $LANG->getLL('Unabridged_term',1) . '</label>
+			<select id="termSelector" name="termSelector"  title="' . $LANG->getLL('Select_a_term',1) . '"
+				onChange="document.content.acronymSelector.selectedIndex=document.content.termSelector.selectedIndex; document.content.title.value=document.content.termSelector.options[document.content.termSelector.selectedIndex].value;">
+				<option value=""></option>
+			</select>
+		</div>
+		<div>
+			<label class="fl" for="acronymSelector" id="acronymSelectorLabel" title="' . $LANG->getLL('Select_an_acronym',1) . '">' . $LANG->getLL('Abridged_term',1) . '</label>
+			<select id="acronymSelector" name="acronymSelector"  title="' . $LANG->getLL('Select_an_acronym',1) . '"
+				onChange="document.content.termSelector.selectedIndex=document.content.acronymSelector.selectedIndex; document.content.title.value=document.content.termSelector.options[document.content.termSelector.selectedIndex].value;">
+				<option value=""></option>
+			</select>
+		</div>
 	</fieldset>
 	<fieldset>
 		<legend>' . $LANG->getLL('Term_to_abridge',1) . '</legend>
